regina::NPrismSetSurface Class Reference
Normal Surfaces

Represents the set of prisms defined by slicing along all the quads in a particular normal surface. More...

`#include <surfaces/nprism.h>`

## Public Member Functions

| NPrismSetSurface (const NNormalSurface &surface)
| Creates a new prism set corresponding to the prisms defined by the given normal surface. More...
virtual | ~NPrismSetSurface ()
| Destroys this prism set. More...
signed char | getQuadType (unsigned long tetIndex) const
| Returns the quadrilateral type with which the underlying normal surface meets the given tetrahedron. More...

## Detailed Description

Represents the set of prisms defined by slicing along all the quads in a particular normal surface.

Note that each tetrahedron in the underlying triangulation will supply either zero or two prisms (depending upon whether or not it contains any normal quads).

Precondition
  This class should only be used with embedded normal surfaces containing no octagonal discs.

Warning
  This class doesn't really do much as yet.

## Constructor & Destructor Documentation

regina::NPrismSetSurface::NPrismSetSurface | ( | const NNormalSurface & | surface | ) |

Creates a new prism set corresponding to the prisms defined by the given normal surface.

Precondition
  The given normal surface is embedded and contains no octagonal discs.

Parameters

  surface | the normal surface that defines the prisms in this set.

regina::NPrismSetSurface::~NPrismSetSurface | ( |  | ) |

inline virtual

Destroys this prism set.

## Member Function Documentation

signed char regina::NPrismSetSurface::getQuadType | ( | unsigned long | tetIndex | ) | const

inline

Returns the quadrilateral type with which the underlying normal surface meets the given tetrahedron.

Note that the surface might contain many quadrilateral discs of this type. However, since the underlying surface is embedded, there cannot be more than one such quadrilateral type.

Parameters

  tetIndex | the index in the triangulation of the tetrahedron in which we are interested; this should be between 0 and NTriangulation::getNumberOfTetrahedra()-1 inclusive.

Returns
  the quadrilateral type found within this tetrahedron. This is 0, 1 or 2 and represents the same type parameter as is used by NNormalSurface::getQuadCoord(). If the underlying surface does not meet the given tetrahedron in any quadrilateral discs, this routine returns -1.

The documentation for this class was generated from the following file:

- surfaces/nprism.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).